Update Token
curl --request PATCH \
--url https://api.{your-broker}.slate-labs.com/api-tokens/{token_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [
"<string>"
],
"ip_allowlist": [
"<string>"
],
"rate_limit": 50000,
"webhook_enabled": true,
"webhook_url": "<string>"
}
'import requests
url = "https://api.{your-broker}.slate-labs.com/api-tokens/{token_id}"
payload = {
"name": "<string>",
"scopes": ["<string>"],
"ip_allowlist": ["<string>"],
"rate_limit": 50000,
"webhook_enabled": True,
"webhook_url": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scopes: ['<string>'],
ip_allowlist: ['<string>'],
rate_limit: 50000,
webhook_enabled: true,
webhook_url: '<string>'
})
};
fetch('https://api.{your-broker}.slate-labs.com/api-tokens/{token_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"token_prefix": "<string>",
"token_last4": "<string>",
"scopes": [
"<string>"
],
"ip_allowlist": [
"<string>"
],
"rate_limit": 123,
"expires_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"webhook_enabled": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Tokens
Update Token
PATCH
/
api-tokens
/
{token_id}
Update Token
Path Parameters
Body
application/json
Response
Successful Response
Available options:
active, disabled, revoked, expired ⌘I